Bug 128309 - Degrading java performance after repeated debug sessions
Degrading java performance after repeated debug sessions
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Developer Suite
Classification: Retired
Component: eclipse (Show other bugs)
2.0
All Linux
high Severity high
: ---
: ---
Assigned To: Ben Konrath
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-21 12:22 EDT by Phil Muldoon
Modified: 2006-10-13 14:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-13 14:34:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Muldoon 2004-07-21 12:22:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040615 Firefox/0.9

Description of problem:
Installed JRE: java-1.4.2-ibm-1.4.2.0-1jpp_8rh
Target OS: Red Hat Enterprise Linux WS - U2
Developer Suite: 2.0

Over repeated debug sessions on run->debug as runtime workbench, the
target (inferior) workbench takes longer and longer to launch, and
becomes increasinly sluggish. javaw often takes up 100% processor time
on launch for upto 3 minutes (normal launch times should 10-20
seconds). Killing eclipse (and it's supporting jvm process) does not help.



Version-Release number of selected component (if applicable):
2.0

How reproducible:
Sometimes

Steps to Reproduce:
1. Retrieve plugin (any) project
2. Run->Debug as Runtime Workbench
3. Repeat several times 

    

Actual Results:  The launched debug workbench becomes increasingly
less responsive, takes up considerable processor time to launch,

Expected Results:  The launch and responsive times of the debug
workbench should remain constant across all sessions. 

Additional info:
Comment 1 Phil Muldoon 2004-07-22 13:00:36 EDT
Usage of the bea jvm does not improve performance (it might a little
bit). Usage of Sun's JVM seems to improve performance quite a bit.
Comment 2 Ben Konrath 2006-10-13 14:34:28 EDT
There is no indication of which eclipse package is being used here and RHDS 2.0
is old and unsupported. Closing bug.

Note You need to log in before you can comment on or make changes to this bug.